## twrap 0.3

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all:

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/etc
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	# Files
	# Executables
	$(INSTALL) bin/* $(DESTDIR)/usr/bin
	# Configuration files
	$(INSTALL) -m 644 conf/* $(DESTDIR)/etc
	# man pages
	$(INSTALL) -m 644 doc/*.1 $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 doc/*.5 $(DESTDIR)/usr/share/man/man5

clean:

=== debian/changelog ===
twrap (0.3) unstable; urgency=medium

  * [77722e0] Fix title for command without arguments
  * [324689a] Optimize script
    - Add variables and functions
    - Remove unneeded spaces
    - Revert some tests
  * [e7c857e] Source directory overhaul
  * [1233543] Change license to GPL 3.0+

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 28 Sep 2025 18:50:17 +0200

twrap (0.2) unstable; urgency=medium

  * [7ccd9e8] Makefile: delete trailing space
  * [4ee0833] Update user configuration file path
  * [f50ce3c] Refactor manual pages

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 04 Feb 2023 17:50:14 +0100

twrap (0.1) unstable; urgency=medium

  * [e5d383b] Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 04 Sep 2022 16:24:05 +0200

=== debian/control ===
Source: twrap
Section: misc
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
#Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/olde
#Vcs-Git: https://salsa.debian.org/debian/olde.git

Package: twrap
Architecture: all
Depends: xterm | x-terminal-emulator, ${misc:Depends}
Description: Wrapper script to run a command through a terminal if needed
 twrap is a wrapper to run a command in a terminal if it's needed, for example
 when it's run through an X session.
